%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-B-Hooks-EndOfScope
Version:       0.25
Release:       1mamba
Summary:       B::Hooks::EndOfScope - Execute code after a scope finished compilation
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/modules/by-module/B/B-Hooks-EndOfScope-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Module-Implementation
BuildRequires: perl-Sub-Exporter-Progressive
BuildRequires: perl-Variable-Magic
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
B::Hooks::EndOfScope - Execute code after a scope finished compilation.

%prep
%setup -q -n B-Hooks-EndOfScope-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Oct 12 2021 Automatic Build System <autodist@mambasoft.it> 0.25-1mamba
- automatic version update by autodist

* Sun Aug 04 2019 Automatic Build System <autodist@mambasoft.it> 0.24-1mamba
- automatic update by autodist

* Fri Nov 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21-1mamba
- update to 0.21

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11-2mamba
- package created using the webbuild interface
